import { Module } from '@nestjs/common';
import { CqrsModule } from '@nestjs/cqrs';
import { DatabaseModule } from '../database/database.module';
import { AuthController } from './adapters/primaries/auth.controller';
import { CreateAuthUseCase } from './domain/usecases/create-auth.usecase';
import { ValidateAuthUseCase } from './domain/usecases/validate-auth.usecase';
import { AuthProfile } from './mappers/auth.profile';
import { AuthRepository } from './adapters/secondaries/auth.repository';
import { UpdateAuthUseCase } from './domain/usecases/update-auth.usecase';

@Module({
  imports: [DatabaseModule, CqrsModule],
  controllers: [AuthController],
  providers: [
    AuthProfile,
    AuthRepository,
    ValidateAuthUseCase,
    CreateAuthUseCase,
    UpdateAuthUseCase,
  ],
  exports: [],
})
export class AuthModule {}
